# Some module for Nixos

Modules can be imported with `fetchurl` like this:

```
  imports =
    [
      ./hardware-configuration.nix
      (builtins.fetchurl {
         url = "https://git.mineau.eu/histausse/base-nix-vm/raw/branch/master/base.nix";
         sha256 = "0r7rj0in3f5m171sx0savbynijcj3bfnnm9zi60l1l4v5l6dgv78";
       })

    ];
```

Where the value of `sha256` can be found using `nix-prefetch-url` like this:

```
# nix-prefetch-url https://git.mineau.eu/histausse/nixos-modules/raw/branch/master/default.nix
path is '/nix/store/jrypv02r1c2i05iw8q0y1h386mjrp6da-default.nix'
0r7rj0in3f5m171sx0savbynijcj3bfnnm9zi60l1l4v5l6dgv78
```

To test a derivation:

```
# nix repl '<nixpkgs/nixos>'
```
